Bug 1683410 - edk2: stack buffer overflow in FindAnchorVolumeDescriptorPointer in PartitionDxe/Udf.c
Summary: edk2: stack buffer overflow in FindAnchorVolumeDescriptorPointer in Partition...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1683412 1683411
Blocks: 1683431
TreeView+ depends on / blocked
 
Reported: 2019-02-26 19:53 UTC by Laura Pardo
Modified: 2019-09-29 15:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 07:16:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
TianoCore 828 None None None 2019-03-21 18:34:28 UTC

Description Laura Pardo 2019-02-26 19:53:20 UTC
A vulnerability was found in edk2. A stack buffer overflow in FindAnchorVolumeDescriptorPointer in PartitionDxe/Udf.c when the device block size is not greater than the size of an Anchor Volume Descriptor Pointer.


Upstream Bug:
https://bugzilla.tianocore.org/show_bug.cgi?id=828

Upstream Commit:
https://github.com/tianocore/edk2/commit/4df8f5bfa28b8b881e506437e8f08d92c1a00370

Comment 1 Laura Pardo 2019-02-26 19:53:52 UTC
Created edk2 tracking bugs for this issue:

Affects: epel-all [bug 1683412]
Affects: fedora-all [bug 1683411]

Comment 3 Riccardo Schirone 2019-03-22 07:16:35 UTC
Closing this in favor of bug 1691640.


Note You need to log in before you can comment on or make changes to this bug.